List assignable users
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interviews/assignable-users/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interviews/assignable-users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interviews/assignable-users/ \
--header 'Authorization: Bearer <token>'{
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"is_admin": true,
"pending_invite": true
}
],
"non_interviewable_emails": [
"[email protected]"
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Interviews
List assignable users
List project members who can be assigned an interview (tech/contributor profiles and pending tech/contributor invites), flagging admins. Admin only.
GET
/
projects
/
{project_id}
/
interviews
/
assignable-users
/
List assignable users
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interviews/assignable-users/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interviews/assignable-users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interviews/assignable-users/ \
--header 'Authorization: Bearer <token>'{
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"is_admin": true,
"pending_invite": true
}
],
"non_interviewable_emails": [
"[email protected]"
]
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project